CONTENTS OF THIS FILE
---------------------

* Introduction
* Installation
* Requirements
* Configuration
* Examples
* Maintainers


INTRODUCTION
------------

This module allows to display a modal on the first visit, using a new dedicated
entity named 'prehome'.


INSTALLATION
------------

Install the Prehome module as you would normally install a contributed Drupal
module (see https://www.drupal.org/node/1897420 for more information).


REQUIREMENTS
------------

No requirements.


CONFIGURATION
-------------

1. Set prehome fields, form & display settings to fit your requirements in
   Structure > Prehome (`admin/structure/prehome/settings`).

   Out of the box it contains a single WYSIWYG field, but you can easily add some
   more to fit your requirements (image, plain text, link, etc.).
2. Add at least one prehome in Content > Prehome (`admin/structure/prehome`).
3. Configure prehome display settings in Configuration > Prehome
   (`admin/config/prehome/settings`).


USAGE
-----

You can use usual templating process to render the prehome, by overriding
templates with :
```
* prehome--[entity_id]--[view_mode].html.twig
* prehome--[view_mode].html.twig
x prehome.html.twig
```

And by implementing hook_preprocess_prehome() if needed.


MAINTAINERS
-----------

* Nicolas Nucci (NicociN) - https://www.drupal.org/u/nicocin

Supporting organizations:

* Ecedi - https://www.drupal.org/ecedi
